%define bname xkbcommon
%define name lib%{bname}
%define version 0.7.1
%define date 0
%define git 0
%define pkgrel 2
%if %git
%define rel 0.%{date}.%{pkgrel}
%define distname %{name}-%{date}
%define srcname %{name}-%{git}
%else
%define rel %{pkgrel}
%define distname %{name}-%{version}
%define srcname %{distname}
%endif
%define release %mkrel %{rel}

%define major 0
%define libname %mklibname %{bname} %{major}
%define libname_devel %mklibname %{bname} -d

Summary:	XKB API common to servers and clients	
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://xkbcommon.org/download/%{distname}.tar.xz
License:	MIT
Group:		System/Libraries
Url:		http://xkbcommon.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	x11-util-macros
BuildRequires:	doxygen
BuildRequires:	x11-data-xkbdata
BuildRequires:	libxcb-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
The %{name} package provides XKB API common to servers and clients.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries for %{name}.

%package -n %{libname_devel}
Summary:	Header files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname_devel}
This package contains the header and pkg-config files for developing
with %{name}.

%package doc
Summary: %{name} documentation
Group: Documentation

%description doc
This package contains documentation of %{name}.

%prep
%setup -q -n %{srcname}

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*
%{_libdir}/%{name}-x11.so.%{major}
%{_libdir}/%{name}-x11.so.%{major}.*

%files -n %{libname_devel}
%defattr(-, root, root)
%{_includedir}/%{bname}/%{bname}.h
%{_includedir}/%{bname}/%{bname}-*.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}-x11.so
%{_libdir}/pkgconfig/%{bname}*.pc

%files doc
%defattr(-, root, root)
%doc %{_docdir}/%{name}/*

%clean
rm -rf %{buildroot}

%changelog
* Tue Mar 07 2017 adrianomorselli <adrianomorselli> 0.7.1-1uplos2017
- update
- removed old stuff
